Subject: Re: Patch for tbench regression.

From: Evgeniy Polyakov <[email-masked]>
Date: Mon, 29 Sep 2008 10:45:18 +0400

On Mon, Sep 29, 2008 at 02:40:06PM +0800, Herbert Xu ([email-masked]) wrote:
> On Mon, Sep 29, 2008 at 09:52:03AM +0400, Evgeniy Polyakov wrote:
> > On Mon, Sep 29, 2008 at 01:40:52PM +0800, Herbert Xu ([email-masked]) wrote:
> > > Are you using Xen FV or PV? What processor?
> > 
> > Can I determine that within guest?
> 
> cat /proc/interrupts
> 
> should do the trick

That's what I have:

$ cat /proc/interrupts 
CPU0       
0:         71    XT-PIC-XT        timer
1:          8    XT-PIC-XT        i8042
2:          0    XT-PIC-XT        cascade
5:      17606    XT-PIC-XT        eth0
12:          5    XT-PIC-XT        i8042
14:       6925    XT-PIC-XT        ide0
15:        141    XT-PIC-XT        ide1
NMI:          0   Non-maskable interrupts
LOC:    1190668   Local timer interrupts
RES:          0   Rescheduling interrupts
CAL:          0   function call interrupts
TLB:          0   TLB shootdowns
TRM:          0   Thermal event interrupts
SPU:          0   Spurious interrupts
ERR:          0
MIS:          0

> > Actually it is a bit strange, if full or paravirtualization affects how
> > loopback network works, I thought it should only affect communication
> > between domains?
> 
> It also affects the MMU and other things.

Shouldn't tests over loopback be like lots of memcpy in the userspace
process? Usually its performance is close enough to the kernel's range,
despite very different sizes of TLB entries.

-- 
	Evgeniy Polyakov